macroScript RRenderer
	category: "Oliver Emley"
	toolTip:"Change Render Engine"
(	
try(destroydialog RenderEngineChangeTool) catch()

rollout RenderEngineChangeTool "Render Engine Change" Width: 200
(
	groupbox GpBxObjREng "Render Engines" width:180 height:65 pos:[10,6]
	button RDScanLine "Default Scanline" pos:[15,20] tooltip:"Assigns Default Scanline Renderer as Production Render Engine"
	button RMentalRay "Mental Ray" pos:[115,20] tooltip:"Assigns Mental Ray Renderer as Production Render Engine"
	button RVray "V-Ray" pos:[15,45] tooltip:"Assigns V-Ray Renderer as Production Render Engine"
	button RRender "Render Now" pos:[110,45] tooltip:"Renders Active Viewport"
	groupbox GpBxRenDia "Render Dialog" width:180 height:45 pos:[10,80]
	button RSetupOpen "Setup Open" pos:[15,95] tooltip:"Opens Render Setup Dialog"
	button RSetupClose "Setup Close" pos:[110,95] tooltip:"Closes Render Setup Dialog"
	groupbox GpBxAbout "About" Width:180 Height:90 pos:[10,130]
	label credit1 "Change Render Engines Version 1.0" pos:[15,145]
	label credit2 "Created By Oliver Emley" 
	hyperLink creditLink "www.oliveremley.carbonmade.com" color:[0,0,0] hoverColor:[255,255,255] visitedColor:[0,0,0] address:"http://www.oliveremley.carbonmade.com"
	hyperlink labLink "Email:oliveremley@me.com" align:#center color:(color 0 0 100) hovercolor:(color 0 0 255) visitedcolor:(color 0 0 100) address:"mailto:oliveremley@me.com"
		
	on RDScanLine pressed do
	(
		renderers.current = Default_Scanline_Renderer () -- Render: Scanline
		)
	
			on RMentalRay pressed do
	(
		renderers.current = mental_ray_renderer () -- Render: Mental Ray
		)
	
		on RVRay pressed do
	(
		renderers.current = VRay () -- Render: Vray
		)
	
	on RSetupOpen pressed do
	(
		renderSceneDialog.open()  -- Render: Render SetUp open
		)
	
		on RSetupClose pressed do
	(
		renderSceneDialog.Close()  -- Render: Render SetUp close
		)
	
	on RRender pressed do
	( 
		render () -- Renders
	)
)

CreateDialog  RenderEngineChangeTool -- Create Dialoge
)
